Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.parser
Class uqlTokenManager

    java.lang.Object
      unity.parser.uqlTokenManager

All Implemented Interfaces:
  uqlConstants

    public class uqlTokenManager

extends java.lang.Object
implements uqlConstants

Field Summary
`static java.io.PrintStream` | `debugStream`
`static java.lang.String[]` | `jjstrLiteralImages`
`static java.lang.String[]` | `lexStateNames`

Fields inherited from interface unity.parser.uqlConstants
`ALL, AND, AS, ASC, CLOSEPAREN, COP, DEFAULT, DELIMITED_ID, DIGIT, DISTINCT, DQSTRING, DSC, EOF, EXPONENT, EXTRACT, FILTER, FLOATING_POINT_LITERAL, FROM, GROUPBY, HAVING, IDENTIFIER, IN, INTEGER_LITERAL, LETTER, LIKE, MERGEOP, NOT, ON, OPENPAREN, OR, ORDERBY, SELECT, STRING_LITERAL, tokenImage, UNION, WHERE, XOR`

Constructor Summary
`uqlTokenManager(SimpleCharStream stream)`
`uqlTokenManager(SimpleCharStream stream, int lexState)`

Method Summary
`static Token` | `getNextToken()`
`static void` | `ReInit(SimpleCharStream stream)`
`static void` | `ReInit(SimpleCharStream stream, int lexState)`
`static void` | `setDebugStream(java.io.PrintStream ds)`
`static void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public static java.io.PrintStream debugStream

### jjstrLiteralImages

    public static final java.lang.String[] jjstrLiteralImages

### lexStateNames

    public static final java.lang.String[] lexStateNames

Constructor Detail

### uqlTokenManager

    public uqlTokenManager(SimpleCharStream stream)

### uqlTokenManager

    public uqlTokenManager(SimpleCharStream stream,
                           int lexState)

Method Detail

### setDebugStream

    public static void setDebugStream(java.io.PrintStream ds)

### ReInit

    public static void ReInit(SimpleCharStream stream)

### ReInit

    public static void ReInit(SimpleCharStream stream,
                              int lexState)

### SwitchTo

    public static void SwitchTo(int lexState)

### getNextToken

    public static Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD